Package org.zkoss.zk.ui.event

## Class UploadEvent

- java.lang.Object
- - org.zkoss.zk.ui.event.Event
  - - org.zkoss.zk.ui.event.UploadEvent

- All Implemented Interfaces:
    `java.io.Serializable`

      public class UploadEvent
      extends Event

  Represents that user has uploaded one or several files from the client to the server.
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UploadEvent​(java.lang.String name, Component target, Media[] meds)` | Constructs the upload event.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Media` | `getMedia()` | Returns the first media being uploaded, or null if no file is uploaded.
    `Media[]` | `getMedias()` | Returns the array of media being uploaded, or null if the user uploaded no file at all.
    `static UploadEvent` | `getUploadEvent​(java.lang.String name, Component component, AuRequest request)` | Creates an instance of `UploadEvent` based on the event name and component, the `UploadEvent` contains the upload media(s) from user.

    - ### Methods inherited from class org.zkoss.zk.ui.event.Event

      `getData, getEvent, getName, getPage, getTarget, isPropagatable, stopPropagation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UploadEvent

          public UploadEvent​(java.lang.String name,
                             Component target,
                             Media[] meds)

      Constructs the upload event.
      Parameters:
        `meds` - the media being uploaded, or null if no file is uploaded. If a zero-length array is passed, null is assumed.

  - ### Method Detail

    - #### getMedia

          public final Media getMedia()

      Returns the first media being uploaded, or null if no file is uploaded.

    - #### getMedias

          public final Media[] getMedias()

      Returns the array of media being uploaded, or null if the user uploaded no file at all. If non-null is returned, the array length must be at least one.

    - #### getUploadEvent

          public static UploadEvent getUploadEvent​(java.lang.String name,
                                                   Component component,
                                                   AuRequest request)

      Creates an instance of `UploadEvent` based on the event name and component, the `UploadEvent` contains the upload media(s) from user. Internal Use Only.
      Parameters:
        `name` - event name
        `component` - component that triggers the upload event
        `request` - An AuRequest object
      Returns:
        upload event
      Since:
        8.6.0